﻿// Borrowed with some modification from https://answers.unity.com/questions/189695/add-color-property-to-unlit-alpha.html
Shader "Custom/COLULA" 
{
    Properties
    {
        _Color("Color", Color) = (1,1,1,1)
        _MainTex("Base (RGB) Alpha (A)", 2D) = "white"
    }

    Category
    {
        Lighting Off
        ZWrite Off
        Cull Off

        Blend SrcAlpha OneMinusSrcAlpha

        Tags{ Queue = Transparent }

        SubShader
        {
            Pass
            {
                SetTexture[_MainTex]
                {
                    ConstantColor[_Color]
                    Combine Texture * constant
                }
            }
        }
    }
}
